Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class ComparisonCmd

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.ComparisonCmd

    public class ComparisonCmd

extends java.lang.Object

Field Summary
`static java.lang.String` | `CLASS_OUTFILE_DESC`
`static java.lang.String` | `CLASS_OUTFILE_LONG_OPT`
`static java.lang.String` | `CLASS_OUTFILE_SHORT_OPT`
`static java.lang.String` | `COMPARE_OUTFILE_DESC`
`static java.lang.String` | `COMPARE_OUTFILE_LONG_OPT`
`static java.lang.String` | `COMPARE_OUTFILE_SHORT_OPT`
`static java.lang.String` | `CONF_DESC`
`static java.lang.String` | `CONF_LONG_OPT`
`static java.lang.String` | `CONF_SHORT_OPT`
`private float` | `confidenceCutoff`
`static float` | `DEFAULT_CON_CUTOFF`
`static ClassificationResultFormatter.FORMAT` | `DEFAULT_FORMAT`
`private ClassifierFactory` | `factory`
`static java.lang.String` | `FORMAT_DESC`
`static java.lang.String` | `FORMAT_LONG_OPT`
`static java.lang.String` | `FORMAT_SHORT_OPT`
`private static org.apache.commons.cli.Options` | `options`
`static java.lang.String` | `QUERYFILE_DESC`
`static java.lang.String` | `QUERYFILE1_LONG_OPT`
`static java.lang.String` | `QUERYFILE1_SHORT_OPT`
`static java.lang.String` | `QUERYFILE2_LONG_OPT`
`static java.lang.String` | `QUERYFILE2_SHORT_OPT`
`private static java.lang.String` | `SAMPLE1`
`private static java.lang.String` | `SAMPLE2`
`static java.lang.String` | `TRAINPROPFILE_DESC`
`static java.lang.String` | `TRAINPROPFILE_LONG_OPT`
`static java.lang.String` | `TRAINPROPFILE_SHORT_OPT`

Constructor Summary
`ComparisonCmd(java.lang.String propfile)` Creates a new Manager

Method Summary
`void` | `doClassify(java.lang.String s1, java.lang.String s2, java.lang.String detailFile, java.lang.String sigFile, ClassificationResultFormatter.FORMAT format)` given the parser and root, calls the tester to do the classification
`static void` | `main(java.lang.String[] args)`
`static void` | `printLicense()` Prints the license information to std err.
`private void` | `printSignificance(TaxonTree root, java.io.BufferedWriter wt)`
`private TaxonTree` | `reconstructTree(ClassificationResult result, TaxonTree root, java.lang.String sample)` reconstruct the hierarchical tree based on the ClassificationResult we assume that the first assignment is always the root and the only root
`private void` | `setConfidenceCutoff(float conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERYFILE1_LONG_OPT

    public static final java.lang.String QUERYFILE1_LONG_OPT

See Also:
  Constant Field Values

### QUERYFILE2_LONG_OPT

    public static final java.lang.String QUERYFILE2_LONG_OPT

See Also:
  Constant Field Values

### CLASS_OUTFILE_LONG_OPT

    public static final java.lang.String CLASS_OUTFILE_LONG_OPT

See Also:
  Constant Field Values

### COMPARE_OUTFILE_LONG_OPT

    public static final java.lang.String COMPARE_OUTFILE_LONG_OPT

See Also:
  Constant Field Values

### TRAINPROPFILE_LONG_OPT

    public static final java.lang.String TRAINPROPFILE_LONG_OPT

See Also:
  Constant Field Values

### FORMAT_LONG_OPT

    public static final java.lang.String FORMAT_LONG_OPT

See Also:
  Constant Field Values

### CONF_LONG_OPT

    public static final java.lang.String CONF_LONG_OPT

See Also:
  Constant Field Values

### QUERYFILE1_SHORT_OPT

    public static final java.lang.String QUERYFILE1_SHORT_OPT

See Also:
  Constant Field Values

### QUERYFILE2_SHORT_OPT

    public static final java.lang.String QUERYFILE2_SHORT_OPT

See Also:
  Constant Field Values

### CLASS_OUTFILE_SHORT_OPT

    public static final java.lang.String CLASS_OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

### COMPARE_OUTFILE_SHORT_OPT

    public static final java.lang.String COMPARE_OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

### TRAINPROPFILE_SHORT_OPT

    public static final java.lang.String TRAINPROPFILE_SHORT_OPT

See Also:
  Constant Field Values

### FORMAT_SHORT_OPT

    public static final java.lang.String FORMAT_SHORT_OPT

See Also:
  Constant Field Values

### CONF_SHORT_OPT

    public static final java.lang.String CONF_SHORT_OPT

See Also:
  Constant Field Values

### QUERYFILE_DESC

    public static final java.lang.String QUERYFILE_DESC

See Also:
  Constant Field Values

### CLASS_OUTFILE_DESC

    public static final java.lang.String CLASS_OUTFILE_DESC

See Also:
  Constant Field Values

### COMPARE_OUTFILE_DESC

    public static final java.lang.String COMPARE_OUTFILE_DESC

See Also:
  Constant Field Values

### TRAINPROPFILE_DESC

    public static final java.lang.String TRAINPROPFILE_DESC

See Also:
  Constant Field Values

### FORMAT_DESC

    public static final java.lang.String FORMAT_DESC

See Also:
  Constant Field Values

### CONF_DESC

    public static final java.lang.String CONF_DESC

See Also:
  Constant Field Values

### DEFAULT_CON_CUTOFF

    public static final float DEFAULT_CON_CUTOFF

See Also:
  Constant Field Values

### DEFAULT_FORMAT

    public static final ClassificationResultFormatter.FORMAT DEFAULT_FORMAT

### options

    private static org.apache.commons.cli.Options options

### factory

    private ClassifierFactory factory

### confidenceCutoff

    private float confidenceCutoff

### SAMPLE1

    private static final java.lang.String SAMPLE1

See Also:
  Constant Field Values

### SAMPLE2

    private static final java.lang.String SAMPLE2

See Also:
  Constant Field Values

Constructor Detail

### ComparisonCmd

    public ComparisonCmd(java.lang.String propfile)
                  throws java.io.IOException,
                         TrainingDataException

  Creates a new Manager

  Throws:
    `java.io.IOException`
    `TrainingDataException`

Method Detail

### doClassify

    public void doClassify(java.lang.String s1,
                           java.lang.String s2,
                           java.lang.String detailFile,
                           java.lang.String sigFile,
                           ClassificationResultFormatter.FORMAT format)
                    throws java.io.IOException,
                           SequenceParserException

  given the parser and root, calls the tester to do the classification

  Throws:
    `java.io.IOException`
    `SequenceParserException`

### reconstructTree

    private TaxonTree reconstructTree(ClassificationResult result,
                                      TaxonTree root,
                                      java.lang.String sample)

  reconstruct the hierarchical tree based on the ClassificationResult we assume that the first assignment is always the root and the only root

### printSignificance

    private void printSignificance(TaxonTree root,
                                   java.io.BufferedWriter wt)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### setConfidenceCutoff

    private void setConfidenceCutoff(float conf)

### printLicense

    public static void printLicense()

  Prints the license information to std err.

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD